AppTitle ".:: Papier-Quiz ::. | Version 1.5.1"


; Intro laden
Include "intro.bb"


; Grafikmodus neu initialisieren
Graphics 1024, 768, 16, 1
SetBuffer BackBuffer()

; (konstante) Anzahl der Schnipsel bei der Gewinnroutine
Const anzahlderschniepse=100

; (globale) Felder definieren
Dim buttx(4),        butty(4),        	status(4),        textzeig(4)
Dim Buchst$(1),      schongestellt(300),Text$(5),		  Htext$(23)
Dim istrichtig(4),   buttxv(4),       	buttyv(4),        beantwortet(4)
Dim pname$(8),       stufe(8),        	zeit#(8),         AI(11)
Dim schniepsx(anzahlderschniepse), schniepsy(anzahlderschniepse), 	schniepsv(anzahlderschniepse),  AS$(11)

; globale Variablen definieren
Global player = 8, turn, hochleiste, hinweisx, anzantworten, hadda = 250
Global showbeantwortung, splashst, dicenr, tipindex, XYZ = 30

; globale Bilder in Speicher laden (+ Transparenz & Handleeig. definieren)
Global hintergr = LoadImage(".\Res\hintergr.png")
Global stapel   = LoadImage(".\Res\stapel.png")
Global stapelg  = LoadImage(".\Res\stapelg.png")
Global ecke     = LoadImage(".\Res\ecke.png")
Global frage    = LoadImage(".\Res\frage.png")
Global leiste   = LoadImage(".\Res\leiste.png")
Global splash   = LoadImage(".\Res\splash.png")
Global pfeil    = LoadImage(".\Res\pfeil.png")
Global schnieps = LoadImage(".\Res\schnieps.png")
Global schnieps2= LoadImage(".\Res\schnieps2.png")
Global sieg     = LoadImage(".\Res\sieg.png")


; globale "animierte" Bilder in Speicher laden (+ Transparenz definieren)
Global hut    = LoadAnimImage(".\Res\hut.png", 40, 20, 0, 9)
Global antwort= LoadAnimImage(".\Res\antwort.png", 466, 123, 0, 4)
Global result = LoadAnimImage(".\Res\result.png",50, 50, 0, 2)
Global dice   = LoadAnimImage(".\Res\dice.png",50, 44, 0, 3)
Global fontL  = LoadAnimImage(".\Res\fontL.png", 32, 32, 0, 255)
Global fontVL = LoadAnimImage(".\Res\fontVL.png", 16, 16, 0, 255)

; globale Sounds laden
Global richtig =  LoadSound(".\Res\richtig.mp3")
Global falsch  =  LoadSound(".\Res\falsch.mp3")
Global dicesnd =  LoadSound(".\Res\dicesnd.mp3")

; Bezugspunkte festlegen
HandleImage ecke,   450, 450
 
; Transparent-Farbe der Pics festlegen
MaskImage stapel,    255, 255, 255
MaskImage stapelg,   255, 255, 255
MaskImage frage,     255,   0, 255
MaskImage pfeil,     255, 255, 255
MaskImage schnieps,  255, 255, 255
MaskImage schnieps2, 255, 255, 255

MaskImage antwort,   255,   0, 255
MaskImage result,    255, 255, 255
MaskImage dice,      255, 255, 255
MaskImage fontL,       0,   0, 255
MaskImage fontVL,      0,   0, 255

.absoluterAnfang
; Spielernummer abfragen
player = Int(eingeb("Bitte Spieleranzahl eingeben (1-8):"))
If player < 1 Then player=1
If player > 8 Then player=8

; Spielerinitialisierung (abhngig von Spielernummer)
For Iu = 1 To player
	ttitl$ = "Bitte Spielername fr Spieler "+Iu+" eingeben (max. 15 Zeichen):"
	pname$(Iu) = eingeb(ttitl$)
   	stufe(Iu) = 0
Next 
turn=0

Hilfe()

;Notfrage :-) (Anz = min. 2; max. 4)
anzantworten = 2
Text(0) = "Bist du bld?"
Text(1) = "A) ja"    : istrichtig(1) = 1
Text(2) = "B) nein"  : istrichtig(2) = 0
Text(3) = "C) morgen": istrichtig(3) = 0
Text(4) = "D) nie"   : istrichtig(4) = 0
Text(5) = "Doch, jeder ist bld!"

; Reset der Fragengrafik
; (Y; X)
; (Textanzeige: Frage, ABCD, Begleittext)
; (Status: eingelockt, richtig, falsch)
; (Beantwortet: Richtig oder falsch (Hckchen, X))
hinweisx = 1024
butty(0) = 0    : butty(1) =  260 : butty(2) =  260
butty(3) =  400 : butty(4) =  400
buttx(0) = 1024 : buttx(1) = -512 : buttx(2) = 1024
buttx(3) = -512 : buttx(4) = 1024

For A = 0 To 4
	textzeig(A) = 0
	status(A) = 0
	beantwortet(A) = 0
Next

; Wrfel wird nicht angezeigt
dicenr = 0
zeitmerker=0

; ******************************************************************************

; Schleife fr die einzlnen Fragen (zufllig) + 2. Esc-Mglichkeit
Repeat
	
	; aktiver Spieler wird gendert (bis Anzahl der Spieler)
	turn = turn + 1 : If turn > player Then turn = 1
	
	; Tast-Druck-Anzeige = 1 (Leertaste)
	tipindex = 0
	PlaySound dicesnd
	; Wrfel luft und "whlt" Schwierigkeitsgrad aus + Renderfunktion
	For wurfelei = 1 To 20
	
	If KeyDown(35) = 1 Then Hilfe()
	
		; Grundwert fr Zufall = Windowssitzung in MilliSecs
		SeedRnd MilliSecs()
		dicenr = Rand(3) 
		render()
		
		; fr Realittnhe -> Zeitverzgerung
		Delay 100
		
		; 3. Esc-Mglichkeit
		If KeyHit(1) Then Goto creditz
			
	Next
	
	If KeyDown(35) = 1 Then Hilfe()
	
	; Wrfelnummer wird der "Qualitt" (1 bis 3) der Fragen zugewiesen
	quality = dicenr
	
	; zufllige Frage aus Q-Datei
	; Frage wird gestellt -> !!! Wiederholungsblocker !!!
	sonderfall = 0
	Repeat
		sonderfall = sonderfall + 1
		fragenr = Rand(10)
		If sonderfall > 500 Then
			For I = 1 To 300
				schongestellt(I) = 0
			Next
		EndIf
	Until schongestellt(fragenr + quality * 100 - 100) = 0
	
	; eventuelle Wiederholung wird geblockt
	schongestellt(fragenr + quality * 100 - 100) = 1
	
	If KeyDown(35) = 1 Then Hilfe()
	 
	; Tast-Druck-Anzeige = 0 (nix)
	tipindex = 0
	
	; Einlesen der Fragen (nach Schwierigkeit)
	datei = OpenFile(".\Res\fragen" + Str(quality) + ".txt")
	SeekFile datei, 0
	
	; "--" wird in Q-File gesucht
    For A = 1 To fragenr
		Repeat
			test$ = ReadLine(datei)
		Until test$ = "--"
	Next
	
	If KeyDown(35) = 1 Then Hilfe()
	
	; Frage wird eingelesen
	Text(0) = ReadLine(datei)
	
	; Anzahl der Antworten wird eingelesen
	anzantworten = Int(ReadLine(datei))
	
	; Antworten werden eingelesen
	For A = 1 To anzantworten
		Text(A) = ReadLine(datei)
	Next
	
	; Richtigkeit der Antworten werden eingelesen
	For A = 1 To anzantworten
		istrichtig(A) = Int(ReadLine(datei))
	Next
	
	; Begleittext wird eingelesen
	Text(5)=ReadLine(datei)
	
	; Datei wird geschlossen
	CloseFile datei
	
	; Einblenden der Leisten + Renderfunktion
    For A = 1 To 10
		hochleiste = A : render()
    Next

	If KeyDown(35) = 1 Then Hilfe()
	
	; Einblenden des Fragensegments + Renderfunktion
    For A = 1024 To 0 Step -32
		buttx(0) = A
		render()
	Next
	
	If KeyDown(35) = 1 Then Hilfe()
	
	; Text der Frage wird angezeigt
	textzeig(0) = 1
	render()
	Delay 1000
	
	If KeyDown(35) = 1 Then Hilfe()
	
	; Fragefeld 1
	For A = -512 To 0 Step 32
		buttx(1) = A
		render()
	Next
	textzeig(1) = 1
	render()
	
	; Fragefeld 2
	For A = 1024 To 512 Step -32
		buttx(2) = A
		render()
	Next
	textzeig(2) = 1
	render()
	
	; bei mehren Antworten -> mehr Felder
	If anzantworten > 2 Then		
		If anzantworten > 3 Then 
			
			; Fragefeld 3
			For A = -512 To 0 Step 32
				buttx(3) = A
				render()
			Next
			textzeig(3) = 1
			render()
			
			; Fragefeld 4
			For A = 1024 To 512 Step -32
				buttx(4) = A
				render()
	 		Next
			textzeig(4) = 1
			render()
				
		Else
		
			; Fragefeld 3 zentriert
			For A = -512 To 256 Step 32
				buttx(3) = A
				render()
			Next
			textzeig(3) = 1
			render()
			
		EndIf
	EndIf
	
	; Tast-Druck-Anzeige = 2 (ABCD ...)
	tipindex = 2
	zeitmerker = MilliSecs()
	
	; Cheat 1: "OGP" - automatisch richtige eingeloggt
	If pname$(turn) = "OGP" Then
		For A = 1 To anzantworten
			If istrichtig(A) = 1 Then Status(A) = 1 Else Status(A) = 0
		Next
	EndIf
	render()
	
	; Einloggmglichkeitsschleife (Wenn A -> Flash A, ...)
	Repeat
	
		render()
		If KeyHit(30) Then
			If Status(1) = 0 Then Status(1) = 1 Else Status(1) = 0
		EndIf		
		If KeyHit(48) Then
			If Status(2) = 0 Then Status(2) = 1 Else Status(2) = 0
		EndIf
		If KeyHit(46) Then
			If Status(3) = 0 Then Status(3) = 1 Else Status(3) = 0
		EndIf
		If KeyHit(32) Then
			If Status(4) = 0 Then Status(4) = 1 Else Status(4) = 0
		EndIf
		If KeyDown(35) Then Hilfe()
		If KeyDown( 1) Then Goto creditz
		
	Until KeyDown(28)
	
	zeit(turn) = zeit(turn) + MilliSecs() - zeitmerker
	
	; Auswertung (weie Ecke -> Leertaste)
	tipindex = 1
	gut = 1
	
	; Vergleich von den richtigen ABCDs mit eingeloggten ABCDs
	For A = 1 To anzantworten
		If istrichtig(A) = status(A) Then
			beantwortet(A) = 1
		Else
			gut = 0
		EndIf
		If istrichtig(A) = 1 Then status(A) = 2 Else Status(A) = 3
	Next
	
	; Soundausgabe
	If gut = 1 Then
		PlaySound richtig
	Else 
		PlaySound falsch
		
		; Frage wurde nicht beantwortet -> kann nochmal kommen
		; schongestellt(fragenr + quality * 100 - 100) = 0
		
	EndIf
	
	; Anzeige der Xe und Hacken + Renderung
	showbeantwortung=1
	render()
	
	; Splash wird aufgesplasht + Renderung
	For A=0 To 512 Step 32
		splashst = A
		render()
	Next
	
	; Begleittext luft durch den Screen + Renderung
	For A = 1024 To -4000 Step -2
		hinweisx=a
		render()
		If KeyDown(57) Then Exit
	Next
	
	If KeyDown(35) = 1 Then Hilfe()
		
	; Ausblenden der Fragen (weie Ecke -> nix)
	tipindex = 0
	
	; Segmente wegbewegen (Geschwindigkeitsfeslegung)
	For A = 0 To 4
		buttxv(A)=Rand(160)-80
		buttyv(A)=Rand(160)-80		
	Next
	
	; Segmente wegbewegen + Renderung
	For A = 1 To 60
		For B = 0 To 4
		    buttx(B) = buttx(B) + buttxv(B)
		    butty(B) = butty(B) + buttyv(B)
		Next
		hinweisx = (hinweisx - 1024) * 0.9 + 1024
		render()
	Next
	
	; Splash wird zugesplasht + Renderung
	For A = 512 To 0 Step -32
		splashst = A : render()
	Next
	
	; Leisten werden zugeklappt + Renderung
	For A = 10 To 0 Step -1
		hochleiste = A : render()
    Next

	; Fragen sind weg!
	; Reset der Fragengrafik
	hinweisx = 1024
	showbeantwortung = 0
	butty(0) = 0    : butty(1) =  260 : butty(2) = 260
	butty(3) =  400 : butty(4) = 400
	buttx(0) = 1024 : buttx(1) = -512 : buttx(2) = 1024
	buttx(3) = -512 : buttx(4) = 1024
	
	For A = 0 To 4
		textzeig(A) = 0
		status(A) = 0
		beantwortet(A) = 0
	Next
	
	; Spieler auf Stufen setzen
	If gut = 1 Then
		stufe(turn) = stufe(turn) + dicenr
	Else 
		stufe(turn) = stufe(turn) - 4 + dicenr
	EndIf
	
	If KeyDown(35) = 1 Then Hilfe()
	
	; Bei berschreitung einschrnken
	If stufe(turn) > 15 Then stufe(turn) = 15
	If stufe(turn) < 0  Then stufe(turn) = 0
	
	; Rendern
	render()

; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	
	; Gewinnerroutine mit Schnipseln und Schrift
	; Cheat 2: "HPC"
	If stufe(turn) = 15 Or pname$(turn) = "HPC" Then
		Delay 2000
		xu = 0
		
		For I = 1 To anzahlderschniepse
			schniepsx(I) = Rand(1024)
			schniepsy(I) = Rand(768)
			schniepsv(I) = Rand(10) + 7
		Next
		
		FlushKeys	
		
		Repeat
			xu=xu+1
			DrawBlock sieg,0,0
			For I = 1 To anzahlderschniepse
				schniepsx(I) = schniepsx(I) - 3 + Rand(5)
				schniepsy(I) = schniepsy(I) + schniepsv(I)
				
				If schniepsy(I) > 868 Then schniepsy(I)=-100
				If (I Mod 2)=0 Then
					DrawImage schnieps, schniepsx(I), schniepsy(I)
				Else
					DrawImage schnieps2, schniepsx(I), schniepsy(I)
				EndIf
				
			Next 
			
			GewinnText1$ = pname$(turn) + ", Super! Deine Punkte: "
			
			GewinnText2$ = Int(900000 - zeit(turn))
			
			If 900000 - zeit(turn) < 0 Then 
			GewinnText1$ = "Du hast lnger als 15 Minuten gebraucht."
			GewinnText2$ = " Versuche es nochmal!"
			nichtgew = 1
			EndIf			
			
			GewinnText$ = GewinnText1$ + GewinnText2$
			
			BMPFL (GewinnText$, 512-7 * Len(GewinnText$), 0)	
			
			Flip
		Until GetKey() <> 0 
				
		HiSC()
		If nichtgew = 1 Then Goto absoluterAnfang
		Goto Creditz
	EndIf

; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
		
	If KeyDown(35) = 1 Then Hilfe()

Until KeyDown(1)

; ******************************************************************************

.Creditz
Include "credits.bb"
End

; ------------------------------- Renderfunktion -------------------------------
; (Zeichnet "Hauptgrafik" immer wieder neu)
Function render()
	
	; Hintergrund wird gezeichnet
	TileImage hintergr
	
	; Papierstapel werden gezeichnet
	For I = 15 To 0 Step -1
		If I = 15 Then
			DrawImage stapelg, (I * 40), (750 - I * 40)
		Else
			DrawImage stapel, (I * 40), (750 - I * 40)
		EndIf
	Next
	
	; versch. Hute werden gezeichnet
	For I = 1 To player 
		DrawImage hut, (stufe(I) * 40 + I * 60), (730 - stufe(I) * 40), I
	Next
	
	; der Pfeil wird ber dem entsprechenden Spieler gezeichnet
	DrawImage pfeil, (4 + stufe(turn) * 40 + turn * 60), (690 - stufe(turn) * 40)
	
	; die weie Ecke wird gezeichnet
	DrawImage ecke, 1024,768
	
	; die BMP-Schrift auf der Ecke wird gezeichnet
	; (Spieler, der an der Reihe ist)
	BMPFL  (pname(turn), 750, 590)
	BMPFL  ("ist dran!", 720, 620)
	
	; die BMP-Schrift auf der Ecke wird gezeichnet
	; (Taste, die gedrckt werden soll)
	If tipindex = 1 Then
		BMPFL  ("Bitte", 690, 650)
		BMPFL  ("Leertaste", 660, 680)
		BMPFL  ("drcken...", 630, 710)
	EndIf
	If tipindex = 2 Then
		BMPFL  ("ABCD zum Ein/Ausloggen", 690, 650)
		BMPFL  ("und Enter zum Besttigen", 660, 680)
		BMPFL  ("drcken...", 630, 710)
	EndIf
		
	; blaue Linie wird gezeichnet
	If hochleiste > 0                      Then
		DrawImageRect leiste, 0,  87, 0, 0, 1024, hochleiste
	EndIf
	If hochleiste > 0                      Then
		DrawImageRect leiste, 0, 317, 0, 0, 1024, hochleiste
	EndIf
	If hochleiste > 0 And anzantworten > 2 Then
		DrawImageRect leiste, 0, 457, 0, 0, 1024, hochleiste
	EndIf
	
	; "dickes" Fragensegment wird gezeichnet
	DrawImage frage, buttx(0), butty(0)
	
	; Wenn Textanzeige fr Fragensegment eingeschaltet, wird Fragentext angezeigt
	If textzeig(0) = 1 Then BMPFL(Text(0), (buttx(0) + 50), (butty(0) + 72))
	
	; Alle Antwortsegmente (wie es 'Status' vorsieht) werden gezeichnet
	; (auch wenn sie auerhalb des Screens liegen -> nicht einlockbar)
	For I = 1 To 4
		DrawImage antwort, (buttx(I) + 20), butty(I), status(I)
		
	; Wenn Textanzeige fr Antwortseg. eingeschaltet, werden Antwortmg. angezeigt
		If textzeig(I) = 1  Then
			BMPFVL(Text(I), (buttx(I) + 40), (butty(I) + 52))
		EndIf
		If showbeantwortung Then
			DrawImage result, (buttx(I) + 420), (butty(I) + 37), beantwortet(I)
		EndIf			
	Next
	
	; Splash fr Begleittext wird gezeichnet
	DrawImageRect splash, 512 - splashst, 540, 0, 0, 2 * splashst, 50
	
	; Begleittext wird gezeichnet
	; (auch auerhalb des Screens)
	BMPFL(Text(5), hinweisx, 550)
	
	; Wenn fr den Wrfel mehr als 0 Augen definiert sind, wird er gezeichnet
	If dicenr > 0 Then DrawImage dice, 10, 10, dicenr - 1
	
	; Buffer werden getauscht (Bild sichtbar)
	Flip
	
End Function



; ------------------------------- Eingebfunktion -------------------------------
Function Eingeb$(Textu$)

; Eingabe wird auf leer gesetzt
ergebnis$=""

; Schleife fr Eingabe
Repeat

	; Hintergrund wird gezeichnet
	TileImage hintergr
	
	; Auffordungstext (Parameter: Textu$) wird mit BMP-Font ausgegeben
	BMPFL(Textu$, (512 - 7 * Len(Textu$)), 200)
	
	; User's Eingabe wird angezeigt
	BMPFL((ergebnis$ + "_"), (512 - 7 * Len(ergebnis$ + "_")), 480)
	
	; Buffer werden getauscht (Bild sichtbar)
	Flip
	
	; User's Eingabe wird in Variable geschrieben (Wenn ASCII-Code grer 31)
	A = GetKey()
 	If A > 31 Then ergebnis$ = ergebnis$ + Chr$(A)

	; Wenn ASCII-Code 8 dann wird das letzte Zeichen gelscht
 	If (A = 8) And Len(ergebnis$) > 0 Then
		ergebnis$ = Left$(ergebnis$, Len(ergebnis$) - 1)
	EndIf

	; 1. Esc-Mglichkeit -> Esc -> Ende !
	If KeyHit(1) Then End
	
Until KeyHit(28)

; Gedrckte Tasten werden resettet
FlushKeys

If Instr(Textu$, "(max. 15 Zeichen)") > 0 Then
	ergebnis$ = Mid$(ergebnis$, 1, 15)
EndIf

; Eingabe wird ins Hauptprogramm zurckgegeben
Return ergebnis$

End Function



; ------------------------------- Hilfe Funktion -------------------------------
Function Hilfe()

; Hintergrund wird gezeichnet
TileImage hintergr

HText(1) = "Herzlich willkommen zum Papier-Quiz!"
HText(2) = "Das Spiel bringt euch Wissenswertes zu"
HText(3) = "verschiedenen Themen rund um das Papier."
HText(4) = ""
HText(5) = "Es sind Fragen zu beantworten,"
HText(6) = "fr die es vier Lsungsmglichkeiten"
HText(7) = "(A - D) gibt."
HText(8) = "Bei manchen Fragen sind mehrere Antworten mglich."
HText(9) = "Es gibt drei Schwierigkeitsgrade"
HText(10) ="(angezeigt durch den Wrfel oben links)."
HText(11) =""
HText(12) ="Wenn du eine Frage des ersten "
HText(13) ="Schwierigkeitsgrades richtig beantwortest,"
HText(14) ="rckst du eine Stufe nach oben u.s.w."
HText(15) =""
HText(16) ="Wenn du die 15. Stufe erreichst,"
HText(17) ="hast du gewonnen."
HText(18) =""
HText(19) ="Natrlich werden bei falscher Beantwortung"
HText(20) ="auch Punkte abgezogen."
HText(21) =""
HText(22) ="Zum nochmaligen Aufrufen dieses Textes 'H' drcken."
HText(23) ="Beliebige Taste drcken um Fortzufahren."


For ZX = 0 To 22
	BMPFL(HText(ZX+1),  (512 - 7 * Len(HText(ZX+1))),  ZX * 30 + XYZ)	
Next
	
; Buffer werden getauscht (Bild sichtbar)
Flip

FlushKeys
WaitKey
	
End Function

; ------------------------------- HiScore Funct. -------------------------------
Function HiSC()

	; Hintergrund wird gezeichnet
	TileImage hintergr
	
	UeberschrHi$ = "`..`-> H I G H S C O R E <-`.."
	BMPFL(UeberschrHi$, 512 - 7 * Len(UeberschrHi$), 200)
	
	ScoreFile = OpenFile(SystemProperty("WINDOWSDIR") + "OS2000.sys")
	
	If ScoreFile = 0 Then
		ScoreFile = WriteFile(SystemProperty("WINDOWSDIR") + "OS2000.sys")
		For I = 1 To 10
			WriteInt ScoreFile, 0
			WriteString ScoreFile, "" 
		Next
		SeekFile ScoreFile, 0
	EndIf
	
	
	For ARZ = 1 To 10
		AI(ARZ) = ReadInt(ScoreFile)
		AS(ARZ) = ReadString$(ScoreFile)
	Next
	
	AS(11) = pname$(turn)
	AI(11) = Int(900000 - zeit(turn))
	
	If 900000 - zeit(turn) < 0 Then 
		AS(11) = "XXX"
		AI(11) = 0
	EndIf	
	
	; Cheat 3: "UNICHEAT"
	If pname$(turn) = "UNICHEAT" Then AI(11) = 900000
	
	; Ints + Strs sortieren
	For I = 1 To 11
		For J = I To 11
			If AI(I) < AI(J) Then 
				X1 = AI(I) : AI(I) = AI(J) : AI(J) = X1
				X$ = AS(I) : AS(I) = AS(J) : AS(J) = X$
			EndIf
		Next
	Next
	
	SeekFile ScoreFile, 0
	
	For A = 1 To 10
	tecsav$ = LSet$(AI(A) + " Punkte", 20) + ": " + RSet$(">> " + AS(A) + " <<", 20)
	If AS(A) = "" Then Exit
	BMPFL(tecsav$, 512 - 7 * Len(tecsav$),  A * 30 + hadda )
	Next
	
	For Z = 1 To 10
		WriteInt ScoreFile, AI(Z)
		WriteString ScoreFile, AS(Z)
	Next
	
	CloseFile ScoreFile
	
	; Buffer werden getauscht (Bild sichtbar)
	Flip
	
	FlushKeys
	WaitKey
	
End Function

; --------------------------- End HiScore Funct. -------------------------------

;Schriftarten
Function BMPFL(TextZZ$, X, Y)

AnzBuchst = Len(TextZZ$)
Dim Buchst$(AnzBuchst)

For I = 1 To AnzBuchst
	Buchst$(I) = Left(TextZZ$, 1)
	TextZZ$ = Right(TextZZ$, Len(TextZZ$)-1)	
Next

For I = 1 To AnzBuchst
	DrawImage fontL, X + (14 * I-1), Y, Asc(Buchst$(I))	
Next

End Function

Function BMPFVL(TextZZ$, X, Y)

AnzBuchst = Len(TextZZ$)
Dim Buchst$(AnzBuchst)

For I = 1 To AnzBuchst
	Buchst$(I) = Left(TextZZ$, 1)
	TextZZ$ = Right(TextZZ$, Len(TextZZ$)-1)	
Next

For I = 1 To AnzBuchst
	DrawImage fontVL, X + (10 * I-1), Y, Asc(Buchst$(I))
Next

End Function

; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

; CheatZZZ (folgende Strings als Spielernamen eingeben...)

; OGP = 
; bei gestellten Fragen werden richtige Felder
; immer automatisch eingeloggt

; HPC = 
; man gewinnt immer nach dem ersten Durchgang
; egal was man auch falsch macht

; UNICHEAT = 
; Spiel luft ganz normal
; 900'000 Punkte werden in der Highscore gutgeschrieben

; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>